> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/82.-dotaz-obnoveni-udalosti-odberu.md).

# 82. Dotaz: Obnovení událostí odběru

Vždy je dobrá praxe mít možnost obnovit/zkontrolovat doručené vs. vygenerované události předplatného. Proto GeoPard ukládá historii všech vygenerovaných událostí předplatného pro **posledních 12 měsíců**.&#x20;

Běžné scénáře:&#x20;

* Špatné připojení k internetu a události nebyly doručeny
* Znovu nasazení WebSocket posluchače
* Zkontrolujte konzistenci přijatých vs. vygenerovaných událostí

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Podporované vstupní filtry:

* `dateFrom` jako datum a čas ve formátu ISO 8601 (např.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` jako datum a čas ve formátu ISO 8601 (např.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` jako pole UUID "Farm" k vyhledání
* `fieldUuids` jako pole UUID "Field" k vyhledání&#x20;
* `userUuids` jako pole UUID uživatelů k vyhledávání
* `eventUuids` jako pole UUID předplatných "Event"

{% hint style="info" %}
Všechny filtry fungují jako logické **A**.
{% endhint %}

{% hint style="info" %}
Každá událost předplatného má atribut `executionDate` spojený s okamžikem odeslání ve formátu AWSDateTime kompatibilním s ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/82.-dotaz-obnoveni-udalosti-odberu.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
